Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets.event
Class ProgressBarListenerAdapter

    java.lang.Object
      com.gwtext.client.widgets.event.ComponentListenerAdapter
          com.gwtext.client.widgets.event.BoxComponentListenerAdapter
              com.gwtext.client.widgets.event.ProgressBarListenerAdapter

All Implemented Interfaces:
  BoxComponentListener, ComponentListener, ProgressBarListener

    public class ProgressBarListenerAdapter

extends BoxComponentListenerAdapter
implements ProgressBarListener

`ProgressBar` listener adapter.

Constructor Summary
`ProgressBarListenerAdapter()`

Method Summary
`void` | `onUpdate(ProgressBar self, float value, java.lang.String text)` Fires after each update interval.

Methods inherited from class com.gwtext.client.widgets.event.BoxComponentListenerAdapter
`onMove, onResize`

Methods inherited from class com.gwtext.client.widgets.event.ComponentListenerAdapter
`doBeforeDestroy, doBeforeHide, doBeforeRender, doBeforeShow, doBeforeStateRestore, doBeforeStateSave, onDestroy, onDisable, onEnable, onHide, onRender, onShow, onStateRestore, onStateSave`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.gwtext.client.widgets.event.BoxComponentListener
`onMove, onResize`

Methods inherited from interface com.gwtext.client.widgets.event.ComponentListener
`doBeforeDestroy, doBeforeHide, doBeforeRender, doBeforeShow, doBeforeStateRestore, doBeforeStateSave, onDestroy, onDisable, onEnable, onHide, onRender, onShow, onStateRestore, onStateSave`

Constructor Detail

### ProgressBarListenerAdapter

    public ProgressBarListenerAdapter()

Method Detail

### onUpdate

    public void onUpdate(ProgressBar self,
                         float value,
                         java.lang.String text)

  Description copied from interface: `ProgressBarListener`
  Fires after each update interval.

  Specified by:
    `onUpdate` in interface `ProgressBarListener`
  Parameters:
    `self` - this
    `value` - the current progress value
    `text` - the current progress text

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD